parall Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
parall Module Reference
Collaboration diagram for parall:

## Public Member Functions
subroutine | init_fortran_omp (nfac, nfabor, nthrdi_in, nthrdb_in, ngrpi_in, ngrpb_in, idxfi, idxfb)
subroutine | finalize_fortran_omp

## Data Fields
integer | thr_n_min
| thr_n_min : minimum number of elements for loops on threads More...
integer, save | irangp
| process rank More...
integer, save | nrangp
| number of processes (=1 if sequental) More...
integer, save | nthrdi
| maximum number of independent boundary face subsets in a group More...
integer, save | nthrdb
integer, save | ngrpi
| number of interior face groups (> 1 with OpenMP, 1 otherwise) More...
integer, save | ngrpb
| number of boundary face groups (> 1 with OpenMP, 1 otherwise) More...
integer, dimension(:,:,:), allocatable | iompli
| per-thread bounds for interior faces More...
integer, dimension(:,:,:), allocatable | iomplb
| per-thread bounds for boundary faces (for group j and thread i, loops from iompl.(1, j, i) to iompl.(2, j, i) More...
integer(kind=8), save | ncelgb
| global number of cells More...
integer(kind=8), save | nfacgb
| global number of interior faces More...
integer(kind=8), save | nfbrgb
| global number of boundary faces More...
integer(kind=8), save | nsomgb
| global number of vertices More...
integer, save | ivecti
| force vectorization of interior face -> cell loops (0/1) More...
integer, save | ivectb
| force vectorization of boundary face -> cell loops (0/1) More...

## Member Function/Subroutine Documentation

subroutine finalize_fortran_omp | ( |  | ) |

subroutine init_fortran_omp | ( | integer, intent(in) | nfac,
|  | integer, intent(in) | nfabor,
|  | integer, intent(in) | nthrdi_in,
|  | integer, intent(in) | nthrdb_in,
|  | integer, intent(in) | ngrpi_in,
|  | integer, intent(in) | ngrpb_in,
|  | integer, dimension(*), intent(in) | idxfi,
|  | integer, dimension(*), intent(in) | idxfb
| ) |  |

The documentation for this module was generated from the following file:

- src/base/parall.f90